{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/telemetry
    inputs.iceshrimp.nixosModules.iceshrimp {}
  ];

  networking.hostName = "porcelain-doll-repair";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  sops.secrets.db_password = {
    sopsFile = ../../../secrets/porcelain-doll-repair/default.yaml;
  };

  # nixpkgs.config.allowlistedLicenses = [ lib.licenses.agpl3Only ];

  services.iceshrimp = {
    enable = true;
    # package = inputs.iceshrimp.packages.${pkgs.system}.iceshrimp.override { 
    #   meta.license = lib.license.agpl3Only;
    # };
    settings.url = "https://porcelain.doll.repair";
    createDb = true;
    dbPasswordFile = config.sops.secrets.db_password.path;
    configureNginx.enable = false;
  };
}
